package com.perforce.p4splunk.client;

import java.util.Map;

import com.splunk.modularinput.Parameter;
import com.splunk.modularinput.SingleValueParameter;

public class AuthorisationConfig {

	private final String username;
	private AuthorisationType type;

	private String password;
	private String ticketValue;
	private String ticketPath;

	public AuthorisationConfig(Map<String, Parameter> params) {
		this.username = ((SingleValueParameter) params.get("p4user"))
				.getValue();

		if (params.containsKey("p4pass")) {
			this.password = ((SingleValueParameter) params.get("p4pass"))
					.getValue();
		}
		this.type = AuthorisationType.PASSWORD;
	}

	public AuthorisationConfig(String user) {
		this.username = user;
		this.type = AuthorisationType.PASSWORD;
	}

	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append(username);
		return sb.toString();
	}

	public String getUsername() {
		return username;
	}

	public String getPassword() {
		return password;
	}

	public AuthorisationType getType() {
		return type;
	}

	public String getTicketValue() {
		return ticketValue;
	}

	public String getTicketPath() {
		return ticketPath;
	}
}
